InputRejecting< T > Class Template Reference

Base class for input rejecting filters. More...

Inheritance diagram for InputRejecting< T >:

## Classes

struct | InputRejected

## Public Member Functions

INPUT
size_t | Put2 (const byte *inString, size_t length, int messageEnd, bool blocking)
| Input a byte array for processing. More...
SIGNALS
bool | IsolatedFlush (bool hardFlush, bool blocking)
bool | IsolatedMessageSeriesEnd (bool blocking)
size_t | ChannelPut2 (const std::string &channel, const byte *inString, size_t length, int messageEnd, bool blocking)
bool | ChannelMessageSeriesEnd (const std::string &channel, int messageEnd, bool blocking)

## Detailed Description

### template<class T>
class InputRejecting< T >

Base class for input rejecting filters.

Template Parameters

  T | the class or type

T should be a BufferedTransformation derived class

Definition at line 121 of file simple.h.

## Member Function Documentation

## Put2()

template<class T >

size_t InputRejecting< T >::Put2 | ( | const byte * | inString,
|  | size_t | length,
|  | int | messageEnd,
|  | bool | blocking
| ) |  |

inline

Input a byte array for processing.

Parameters

  inString | the byte array to process
  length | the size of the string, in bytes
  messageEnd | means how many filters to signal MessageEnd() to, including this one
  blocking | specifies whether the object should block when processing input

Exceptions

  InputRejected |

Returns
  the number of bytes that remain in the block (i.e., bytes not processed)

Internally, the default implmentation throws InputRejected.

Definition at line 138 of file simple.h.

The documentation for this class was generated from the following file:

- simple.h